Loading...
Searching...
No Matches
IODGeneralEquipmentModule::EquipmentInfo Struct Reference

Convenient struct containing commonly used equipment information (for use by external code). More...

## Public Member Functions

| EquipmentInfo ()
| Default Constructor.
| EquipmentInfo (const OFString &manufacturer, const OFString &manufacturerModelName, const OFString &deviceSerialNumber, const OFString &softwareVersions)
| Convenience Constructor setting commonly used values.

## Public Attributes

OFString | m_Manufacturer
| Manufacturer (VM 1).
OFString | m_ManufacturerModelName
| Manufacturer's Model Name (VM 1).
OFString | m_DeviceSerialNumber
| Device Serial Number (VM 1).
OFString | m_SoftwareVersions
| Software Version(s) (VM 1-n).

## Detailed Description

Convenient struct containing commonly used equipment information (for use by external code).

## Constructor & Destructor Documentation

## EquipmentInfo()

IODGeneralEquipmentModule::EquipmentInfo::EquipmentInfo | ( | const OFString & | manufacturer,
|  | const OFString & | manufacturerModelName,
|  | const OFString & | deviceSerialNumber,
|  | const OFString & | softwareVersions )

inline

Convenience Constructor setting commonly used values.

Parameters

  manufacturer | Manufacturer
  manufacturerModelName | Manufacturer's model name
  deviceSerialNumber | Serial number
  softwareVersions | Software versions

References m_DeviceSerialNumber, m_Manufacturer, m_ManufacturerModelName, and m_SoftwareVersions.

The documentation for this struct was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modequipment.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0